import 'dart:async';

import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'base_method_channel.dart';

abstract class BaseInterface extends PlatformInterface {
  /// Constructs a UrlLauncherPlatform.
  BaseInterface() : super(token: _token);

  static final Object _token = Object();

  static BaseInterface _instance = BaseMethodChannel();

  /// The default instance of [BaseInterface] to use.
  ///
  /// Defaults to [BaseMethodChannel].
  static BaseInterface get instance => _instance;

  static set instance(BaseInterface instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  /// Returns `true` if this platform is able to launch [url].
  Future<bool> navigate(String url) {
    throw UnimplementedError('navigate() has not been implemented.');
  }
}
