import 'dart:async';
import 'package:flutter/services.dart';
import 'base_interface.dart';

const MethodChannel _channel = MethodChannel('plugins.flutter.io/url_launcher');

/// An implementation of [UrlLauncherPlatform] that uses method channels.
class BaseMethodChannel extends BaseInterface {
  @override
  Future<bool> navigate(String url) {
    return _channel.invokeMethod<bool>(
      'navigate',
      <String, Object>{'url': url},
    );
  }
}
